Skip to main content
GET
/
v2
/
polymarket
/
series
/
{slug}
Get Series Detail
curl --request GET \
  --url https://api.predexon.com/v2/polymarket/series/{slug} \
  --header 'x-api-key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.predexon.com/llms.txt

Use this file to discover all available pages before exploring further.

A single series by slug plus its events, with keyset pagination. The crypto up/down feature is a named series — e.g. /series/btc-up-or-down-daily returns the current Bitcoin up/down events.
ParameterValue
statusFilter the series’ events by status.
limitNumber of events to return. 1–200 (default 50).
pagination_keyCursor returned from the previous response.

Authorizations

x-api-key
string
header
required

Path Parameters

slug
string
required

Query Parameters

status
enum<string> | null

Filter the series' events by status

Available options:
open,
closed
limit
integer
default:50

Number of events to return

Required range: 1 <= x <= 200
pagination_key
string | null

Cursor returned from the previous response

Response

Successful Response